<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_Category_for_contact',
    'entity' => 'SavedSearch',
    'cleanup' => 'always',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'Category_for_contact',
        'label' => E::ts('Category for contact'),
        'api_entity' => 'ContactCategory',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'category:label',
            'contact_id',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => [],
          'join' => [],
          'having' => [],
        ],
      ],
      'match' => [
        'name',
      ],
    ],
  ],
[
  'name' => 'SavedSearch_Category_for_contact_SearchDisplay_Category_for_contact_List_1',
  'entity' => 'SearchDisplay',
  'cleanup' => 'always',
  'update' => 'unmodified',
  'params' => [
    'version' => 4,
    'values' => [
      'name' => 'Category_for_contact_List_1',
      'label' => E::ts('Category for contact List 1'),
      'saved_search_id.name' => 'Category_for_contact',
      'type' => 'list',
      'settings' => [
        'style' => 'ul',
        'limit' => 0,
        'sort' => [],
        'pager' => FALSE,
        'columns' => [
          [
            'type' => 'field',
            'key' => 'category:label',
            'dataType' => 'Integer',
          ],
        ],
        'placeholder' => 0,
      ],
    ],
    'match' => [
      'name',
    ],
  ],
],
];
